Name: luminance-hdr
Version: 2.2.1
Release: 2%{?dist}
Summary: A graphical tool for creating and tone-mapping HDR images

Group: Applications/Productivity
License: GPLv2+
URL: http://qtpfsgui.sourceforge.net/
Source0: http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.bz2
Patch0: desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt4-devel
BuildRequires: qt-webkit-devel
BuildRequires: OpenEXR-devel
BuildRequires: exiv2-devel
BuildRequires: fftw-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: gsl-devel
BuildRequires: desktop-file-utils
BuildRequires: cmake
BuildRequires: LibRaw-devel

Obsoletes: qtpfsgui < 2.2.0
Provides: qtpfsgui = %{version}-%{release}

%description
Luminance is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.


%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}}

%patch0 -p0

# fix inconsistant newlines
%{__sed} -i 's/\r//' Changelog


%build
%{cmake} -DBUILD_SHARED_LIBS:BOOL=OFF .

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot}
cp -pf *.qm %{buildroot}/%{_datadir}/%{name}/i18n
mkdir -p %{buildroot}/%{_datadir}/mime/packages
cp -pf luminance-hdr.xml %{buildroot}/%{_datadir}/mime/packages
cp -pf luminance-hdr.desktop %{buildroot}/%{_datadir}/applications

desktop-file-install --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-, root, root)
%doc AUTHORS Changelog LICENSE README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Tue Mar 13 2012 Franco Comida <francocomida@googlemail.com> - 2.2.1-2
- Removed unused PATH from luminance-hdr.desktop

* Sun Mar 11 2012 Franco Comida <fcomida@users.sourceforge.net> 2.2.1-1
- Updated to Luminance HDR 2.2.1

* Tue Feb 21 2012 Franco Comida <fcomida@users.sourceforge.net> 2.2.0-1
- Luminance HDR 2.2.0

